<script setup lang="ts">
import type { PrescriptionItem } from '~/models/prescription-item';
import { config } from './list.cfg'

defineProps<{
  data: PrescriptionItem[]
}>()

const emit = defineEmits<{
  tambah: [mode: string]
}>()

</script>

<template>
  <PubMyUiDataTable class="border mb-2 2xl:mb-3"
    v-bind="config"
    :rows="data"
  />
</template>
